# Uses of Class
org.pentaho.reporting.libraries.repository.stream.WrappedInputStream

Packages that use WrappedInputStream
Package
Description
org.pentaho.reporting.libraries.repository.stream

## Uses of WrappedInputStream in org.pentaho.reporting.libraries.repository.stream

Methods in org.pentaho.reporting.libraries.repository.stream that return WrappedInputStream
Modifier and Type
Method
Description
`WrappedInputStream`
StreamRepository.`getInputStream()`
Returns the optional input stream.
Constructors in org.pentaho.reporting.libraries.repository.stream with parameters of type WrappedInputStream
Modifier
Constructor
Description
``
`StreamContentItem(String name, ContentLocation parent, WrappedInputStream inputStream, WrappedOutputStream outputStream)`
Creates a new stream-content item.